Get Latest Sddc Task

Get Latest Sddc Task
Retrieve latest VCF (or VVF) installation task

Retrieve latest VCF (or VVF) installation task

Request
URI
GET
https://{api_host}/v1/sddcs/latest
COPY
Responses
200

OK

Returns SddcTask of type(s) application/json
{
    "id": "string",
    "name": "string",
    "deploymentType": "string",
    "vcfInstanceName": "string",
    "status": "COMPLETED_WITH_SUCCESS",
    "localizableNamePack": {
        "component": "string",
        "messageKey": "string",
        "arguments": [
            "string"
        ],
        "message": "string",
        "bundle": "string"
    },
    "creationTimestamp": "string",
    "sddcSubTasks": [
        {
            "sddcId": "123e4567-e89b-42d3-a456-556642440000",
            "processingStateName": "string",
            "processingStateDescription": "string",
            "name": "string",
            "description": "string",
            "localizableNamePack": {
                "component": "string",
                "messageKey": "string",
                "arguments": [
                    "string"
                ],
                "message": "string",
                "bundle": "string"
            },
            "localizableDescriptionPack": {
                "component": "string",
                "messageKey": "string",
                "arguments": [
                    "string"
                ],
                "message": "string",
                "bundle": "string"
            },
            "status": "INITIALIZED, COMPLETED_WITH_SUCCESS, COMPLETED_WITH_FAILURE, PREVALIDATION_COMPLETED_WITH_SUCCESS, PREVALIDATION_COMPLETED_WITH_FAILURE, POSTVALIDATION_COMPLETED_WITH_SUCCESS, POSTVALIDATION_COMPLETED_WITH_FAILURE,IN_PROGRESS, PREVALIDATION_IN_PROGRESS, POSTVALIDATION_IN_PROGRESS, INTERNAL_ERROR",
            "creationTimestamp": "string",
            "updateTimestamp": "string",
            "errors": [
                {
                    "errorCode": "string",
                    "errorType": "string",
                    "arguments": [
                        "string"
                    ],
                    "context": {
                        "context": "string"
                    },
                    "notifications": [
                        {
                            "severity": "string",
                            "message": "string",
                            "remediations": [
                                {
                                    "message": "string",
                                    "link": "string"
                                }
                            ],
                            "impactMessage": "string"
                        }
                    ],
                    "message": "string",
                    "remediationMessage": "string",
                    "causes": [
                        {
                            "type": "string",
                            "message": "string"
                        }
                    ],
                    "nestedErrors": [
                        {
                            "errorCode": "string",
                            "errorType": "string",
                            "arguments": [
                                "string"
                            ],
                            "context": {
                                "context": "string"
                            },
                            "notifications": [
                                {
                                    "severity": "string",
                                    "message": "string",
                                    "remediations": [
                                        {
                                            "message": "string",
                                            "link": "string"
                                        }
                                    ],
                                    "impactMessage": "string"
                                }
                            ],
                            "message": "string",
                            "remediationMessage": "string",
                            "causes": [
                                {
                                    "type": "string",
                                    "message": "string"
                                }
                            ],
                            "nestedErrors": [
                                {
                                    "errorCode": "string",
                                    "errorType": "string",
                                    "arguments": [
                                        "string"
                                    ],
                                    "context": {
                                        "context": "string"
                                    },
                                    "notifications": [
                                        {
                                            "severity": "string",
                                            "message": "string",
                                            "remediations": [
                                                {
                                                    "message": "string",
                                                    "link": "string"
                                                }
                                            ],
                                            "impactMessage": "string"
                                        }
                                    ],
                                    "message": "string",
                                    "remediationMessage": "string",
                                    "causes": [
                                        {
                                            "type": "string",
                                            "message": "string"
                                        }
                                    ],
                                    "nestedErrors": [
                                        "Error Object"
                                    ],
                                    "referenceToken": "string",
                                    "label": "string",
                                    "remediationUrl": "string"
                                }
                            ],
                            "referenceToken": "string",
                            "label": "string",
                            "remediationUrl": "string"
                        }
                    ],
                    "referenceToken": "string",
                    "label": "string",
                    "remediationUrl": "string"
                }
            ],
            "milestoneTask": "string"
        }
    ],
    "milestones": [
        {
            "name": "string",
            "description": "string",
            "status": "One among: NOT_STARTED, IN_PROGRESS, COMPLETED_WITH_SUCCESS, COMPLETED_WITH_FAILURE",
            "creationTimestamp": "string",
            "updateTimestamp": "string",
            "completedTasks": 0,
            "totalTasks": 0
        }
    ]
}
string
id
Read-Only  
Constraints: minLength: 3 maxLength: 256

SDDC ID

string
name
Read-Only  

Deployment name

string
deploymentType
Read-Only  

Deployment type

string
vcfInstanceName
Read-Only  

VCF instance name

string
status
Required   Read-Only  
Constraints: minLength: 1

SDDC Task status. One among: IN_PROGRESS, COMPLETED_WITH_SUCCESS, ROLLBACK_SUCCESS, COMPLETED_WITH_FAILURE

object
localizableNamePack
Read-Only  

A message pack representing a localizable message and suitable for machine processing. Contains a message key unique in the scope of the specified component, as well as the arguments needed to generate the localized message.

string
creationTimestamp
Required   Read-Only  

SDDC Task creation timestamp

array of object
sddcSubTasks
Optional

All SDDC Sub-Tasks

array of object
milestones
Optional

Milestones of the workflow


500

Internal Server Error

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v1/sddcs/latest